KDE 4.2 PyKDE API Reference

- KDE's Python API

# KArchiveEntry Class Reference

`from PyKDE4.kio import *`

Subclasses: KArchiveDirectory, KArchiveFile

## Detailed Description

A base class for entries in an KArchive. Base class for the archive-file's directory structure.

See also:
  KArchiveFile

See also:
  KArchiveDirectory

## Methods

| __init__ (self, KArchive archive, QString name, int access, int date, QString user, QString group, QString symlink)
| __init__ (self, KArchiveEntry other)
KArchive | archive (self)
int | date (self)
QDateTime | datetime (self)
QString | group (self)
bool | isDirectory (self)
bool | isFile (self)
QString | name (self)
mode_t | permissions (self)
QString | symLinkTarget (self)
QString | user (self)
| virtual_hook (self, int id, void data)

## Method Documentation

__init__ | ( | self, |
|  | KArchive | archive,
|  | QString | name,
|  | int | access,
|  | int | date,
|  | QString | user,
|  | QString | group,
|  | QString | symlink
| ) |  |  |

Creates a new entry.

Parameters:

  | archive | the entries archive
  | name | the name of the entry
  | access | the permissions in unix format
  | date | the date (in seconds since 1970)
  | user | the user that owns the entry
  | group | the group that owns the entry
  | symlink | the symlink, or QString()

__init__ | ( | self, |
|  | KArchiveEntry | other
| ) |  |  |

KArchive archive | ( |  | self ) |

int date | ( |  | self ) |

Creation date of the file.

Returns:
  the creation date in seconds since 1970

QDateTime datetime | ( |  | self ) |

Creation date of the file.

Returns:
  the creation date

QString group | ( |  | self ) |

Group of the user who created the file.

Returns:
  the group of the file

bool isDirectory | ( |  | self ) |

Checks whether the entry is a directory.

Returns:
  true if this entry is a directory

bool isFile | ( |  | self ) |

Checks whether the entry is a file.

Returns:
  true if this entry is a file

QString name | ( |  | self ) |

Name of the file without path.

Returns:
  the file name without path

mode_t permissions | ( |  | self ) |

The permissions and mode flags as returned by the stat() function in st_mode.

Returns:
  the permissions

QString symLinkTarget | ( |  | self ) |

Symlink if there is one.

Returns:
  the symlink, or QString()

QString user | ( |  | self ) |

User who created the file.

Returns:
  the owner of the file

virtual_hook | ( | self, |
|  | int | id,
|  | void | data
| ) |  |  |